      function sumsum(n,x)

c  this subroutine written by alain st-amant of the department of
c  pharmaceutical chemistry, university of california, san francisco.
c  all rights reserved.  this is part of the DeFT project.

      implicit real*8(a-h,o-z)

      dimension x(*)

      data zero/0.0d0/

      sumsum=zero
 
      do 1001 i=1,n
 1001 sumsum=sumsum+abs(x(i))

      return
      end
